Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class DistributedMapState

    java.lang.Object
      org.jboss.aspects.versioned.StateManager
          org.jboss.aspects.versioned.CollectionStateManager
              org.jboss.aspects.versioned.DistributedMapState

All Implemented Interfaces:
  DistributedState, Externalizable, Map, Serializable

public class DistributedMapState
extends CollectionStateManager
implements Map, DistributedState, Externalizable

Version:
  $Revision: 1.1.4.5 $
Author:
  Bill Burke
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`Map.Entry`

Field Summary
`protected Map` | `base`
`protected String` | `classname`
`protected static org.jboss.logging.Logger` | `log`
`protected org.jboss.aop.proxy.ClassProxy` | `proxy`
`protected SynchronizationManager` | `synchManager`
`protected TransactionManager` | `tm`
`protected org.jboss.tm.TransactionLocal` | `txState`
`protected org.jboss.tm.TransactionLocal` | `txVersion`
`protected HashMap` | `updates`
`protected long` | `versionId`
`protected DistributedVersionManager` | `versionManager`

Fields inherited from class org.jboss.aspects.versioned.CollectionStateManager
`methodMap`

Fields inherited from class org.jboss.aspects.versioned.StateManager
`guid, lock, STATE_MANAGER, timeout`

Constructor Summary
`DistributedMapState()` For serialization
`DistributedMapState(org.jboss.util.id.GUID guid, long timeout, org.jboss.aop.proxy.ClassProxy proxy, Map obj, DistributedVersionManager versionManager, SynchronizationManager synchManager)`

Method Summary
`org.jboss.aop.InstanceAdvised` | `buildObject(SynchronizationManager manager, DistributedVersionManager versionManager)`
`void` | `checkOptimisticLock(Transaction tx)`
`void` | `clear()`
`boolean` | `containsKey(Object o)`
`boolean` | `containsValue(Object o)`
`protected HashMap` | `createMapUpdates(Map state)`
`DistributedUpdate` | `createTxUpdate(Transaction tx)`
`Set` | `entrySet()`
`boolean` | `equals(Object o)`
`Object` | `get(Object o)`
`protected Map` | `getCurrentState(boolean forUpdate)`
`HashMap` | `getMethodMap()`
`org.jboss.aop.InstanceAdvised` | `getObject()`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`void` | `mergeState(DistributedUpdate update)`
`void` | `mergeState(Transaction tx)`
`Object` | `put(Object key, Object val)`
`void` | `putAll(Map c)`
`void` | `readExternal(ObjectInput in)`
`Object` | `remove(Object key)`
`int` | `size()`
`Collection` | `values()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jboss.aspects.versioned.CollectionStateManager
`isManagerMethod, isManagerMethod`

Methods inherited from class org.jboss.aspects.versioned.StateManager
`acquireReadLock, acquireWriteLock, getGUID, getLock, getStateManager, releaseReadLock, releaseWriteLock, setStateManager`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aspects.versioned.DistributedState
`acquireReadLock, acquireWriteLock, getGUID, releaseReadLock, releaseWriteLock`

Field Detail

### log

    protected static org.jboss.logging.Logger log

### versionId

    protected volatile long versionId

### updates

    protected HashMap updates

### classname

    protected String classname

### base

    protected transient Map base

### txState

    protected transient org.jboss.tm.TransactionLocal txState

### txVersion

    protected transient org.jboss.tm.TransactionLocal txVersion

### versionManager

    protected transient DistributedVersionManager versionManager

### synchManager

    protected transient SynchronizationManager synchManager

### tm

    protected transient TransactionManager tm

### proxy

    protected transient org.jboss.aop.proxy.ClassProxy proxy

Constructor Detail

### DistributedMapState

    public DistributedMapState()

  For serialization

### DistributedMapState

    public DistributedMapState(org.jboss.util.id.GUID guid,
                               long timeout,
                               org.jboss.aop.proxy.ClassProxy proxy,
                               Map obj,
                               DistributedVersionManager versionManager,
                               SynchronizationManager synchManager)
                        throws Exception

Method Detail

### getMethodMap

    public HashMap getMethodMap()

  Specified by:
    `getMethodMap` in class `CollectionStateManager`

### getObject

    public org.jboss.aop.InstanceAdvised getObject()

  Specified by:
    `getObject` in interface `DistributedState`

### getCurrentState

    protected Map getCurrentState(boolean forUpdate)
                           throws Exception

  Throws:
    `Exception`

### createMapUpdates

    protected HashMap createMapUpdates(Map state)

### createTxUpdate

    public DistributedUpdate createTxUpdate(Transaction tx)

  Specified by:
    `createTxUpdate` in interface `DistributedState`

### buildObject

    public org.jboss.aop.InstanceAdvised buildObject(SynchronizationManager manager,
                                                     DistributedVersionManager versionManager)
                                              throws Exception

  Specified by:
    `buildObject` in interface `DistributedState`
  Throws:
    `Exception`

### checkOptimisticLock

    public void checkOptimisticLock(Transaction tx)

  Specified by:
    `checkOptimisticLock` in interface `DistributedState`

### mergeState

    public void mergeState(Transaction tx)
                    throws Exception

  Specified by:
    `mergeState` in interface `DistributedState`
  Throws:
    `Exception`

### mergeState

    public void mergeState(DistributedUpdate update)
                    throws Exception

  Specified by:
    `mergeState` in interface `DistributedState`
  Throws:
    `Exception`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`

### containsKey

    public boolean containsKey(Object o)

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object o)

  Specified by:
    `containsValue` in interface `Map`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `Map`

### get

    public Object get(Object o)

  Specified by:
    `get` in interface `Map`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`

### put

    public Object put(Object key,
                      Object val)

  Specified by:
    `put` in interface `Map`

### putAll

    public void putAll(Map c)

  Specified by:
    `putAll` in interface `Map`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`

### size

    public int size()

  Specified by:
    `size` in interface `Map`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `CollectionStateManager`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `CollectionStateManager`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.